package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 站点商品实体
 * 表名 tb_cf_station_item
 *
 * @author lipengjun
 * @date 2019-10-23 10:35:45
 */
public class TbCfStationItemEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 商品id
     */
    private String itemId;
    /**
     * 商品编号
     */
    private String itemCode;
    /**
     * 商品名字
     */
    private String itemName;
    /**
     * 商品标题简介
     */
    private String itemBrief;
    /**
     * 商品一级分类
     */
    private String itemCategory;
    /**
     * 商品价格
     */
    private BigDecimal itemPrice;
    /**
     * 商品链接
     */
    private String itemUrl;
    /**
     * 商品图片
     */
    private String itemImg;
    /**
     * 浏览人数
     */
    private Long itemNum;
    /**
     * 所属平台
     */
    private String platformCode;
    /**
     * 平台名
     */
    private String platformName;
    /**
     * 启用状态
     */
    private Integer enableFlag;
    /**
     * 创建日期
     */
    private Date createTime;
    /**
     * 商品二级分类
     */
    private String itemCategorytwo;
    /**
     * 商品品名
     */
    private String itemDescritionId;

    /**
     * 设置：商品id
     */
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    /**
     * 获取：商品id
     */
    public String getItemId() {
        return itemId;
    }
    /**
     * 设置：商品编号
     */
    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    /**
     * 获取：商品编号
     */
    public String getItemCode() {
        return itemCode;
    }
    /**
     * 设置：商品名字
     */
    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    /**
     * 获取：商品名字
     */
    public String getItemName() {
        return itemName;
    }
    /**
     * 设置：商品标题简介
     */
    public void setItemBrief(String itemBrief) {
        this.itemBrief = itemBrief;
    }

    /**
     * 获取：商品标题简介
     */
    public String getItemBrief() {
        return itemBrief;
    }
    /**
     * 设置：商品一级分类
     */
    public void setItemCategory(String itemCategory) {
        this.itemCategory = itemCategory;
    }

    /**
     * 获取：商品一级分类
     */
    public String getItemCategory() {
        return itemCategory;
    }
    /**
     * 设置：商品价格
     */
    public void setItemPrice(BigDecimal itemPrice) {
        this.itemPrice = itemPrice;
    }

    /**
     * 获取：商品价格
     */
    public BigDecimal getItemPrice() {
        return itemPrice;
    }
    /**
     * 设置：商品链接
     */
    public void setItemUrl(String itemUrl) {
        this.itemUrl = itemUrl;
    }

    /**
     * 获取：商品链接
     */
    public String getItemUrl() {
        return itemUrl;
    }
    /**
     * 设置：商品图片
     */
    public void setItemImg(String itemImg) {
        this.itemImg = itemImg;
    }

    /**
     * 获取：商品图片
     */
    public String getItemImg() {
        return itemImg;
    }
    /**
     * 设置：浏览人数
     */
    public void setItemNum(Long itemNum) {
        this.itemNum = itemNum;
    }

    /**
     * 获取：浏览人数
     */
    public Long getItemNum() {
        return itemNum;
    }
    /**
     * 设置：所属平台
     */
    public void setPlatformCode(String platformCode) {
        this.platformCode = platformCode;
    }

    /**
     * 获取：所属平台
     */
    public String getPlatformCode() {
        return platformCode;
    }
    /**
     * 设置：平台名
     */
    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    /**
     * 获取：平台名
     */
    public String getPlatformName() {
        return platformName;
    }
    /**
     * 设置：启用状态
     */
    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }

    /**
     * 获取：启用状态
     */
    public Integer getEnableFlag() {
        return enableFlag;
    }
    /**
     * 设置：创建日期
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建日期
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：商品二级分类
     */
    public void setItemCategorytwo(String itemCategorytwo) {
        this.itemCategorytwo = itemCategorytwo;
    }

    /**
     * 获取：商品二级分类
     */
    public String getItemCategorytwo() {
        return itemCategorytwo;
    }
    /**
     * 设置：商品品名
     */
    public void setItemDescritionId(String itemDescritionId) {
        this.itemDescritionId = itemDescritionId;
    }

    /**
     * 获取：商品品名
     */
    public String getItemDescritionId() {
        return itemDescritionId;
    }
}
